Syntax error in trunk/lib/plugins/rfpdf/lib/fpdf/makefont.rb

2013-09-04 15:23 - Federico Tomassetti

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

I was performing some analysis on the codebase and I could not parse this particular file because at line 1702 there is a syntax error:

s += "    def FontDef.diff\n        #{(diff  nil) || (diff  '') ? 'nil' : '\'' + diff '\''}\n    e

nd\n"

 I think a plus sign is missing

History

#1 - 2013-09-17 02:44 - Toshi MARUYAMA

source:trunk/lib/plugins/rfpdf/lib/fpdf/makefont.rb@12135#L1702

#2 - 2015-12-11 23:56 - Jun NAITOH

After Redmine 2.6, this source code (makefont.rb) doesn't exist in Redmine repository.

And this source code is already eliminated in rbpdf, too.

Please close this issue.

#3 - 2015-12-12 04:04 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Jun NAITOH wrote:

After Redmine 2.6, this source code (makefont.rb) doesn't exist in Redmine repository.

And this source code is already eliminated in rbpdf, too.

Please close this issue.

 Thanks, closing.
